Xfce Wiki

Sub domains
 

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
apps:parole:introduction [2019/12/16 17:01]
epetriglia Update icon
apps:parole:introduction [2021/02/09 18:09] (current)
kevinbowen modified gst version requirement
Line 1: Line 1:
-{{ :apps:parole.png?nolink|}}+~~NOTOC~~ 
 +{{ :xfce:xfce.parole.png?no link|}} 
 ====== Parole Media Player ====== ====== Parole Media Player ======
  
-<figure "Parole Media Player main window"> +  * **[[#Requirements|Requirements]]** 
-{{ :apps:parole:parole-intro.png?nolink |}} +  * **[[#Plugins|Plugins]]** 
-</figure>+ 
 +----
  
 Parole is a modern simple media player based on the GStreamer framework and written to fit well in the Xfce desktop. It is designed with simplicity, speed and resource usage in mind. Parole is a modern simple media player based on the GStreamer framework and written to fit well in the Xfce desktop. It is designed with simplicity, speed and resource usage in mind.
  
-====== Features ======+===== Features =====
 Parole features playback of local media files, including video with subtitles support, Audio CDs, DVDs, and live streams. Parole is also extensible via plugins. Parole features playback of local media files, including video with subtitles support, Audio CDs, DVDs, and live streams. Parole is also extensible via plugins.
  
-====== Requirements ====== +<figure "Parole Media Player main window"> 
-===== Build Requirements =====+{{ :apps:parole:parole-intro.png?600nolink |}} 
 +</figure> 
 + 
 +---- 
 + 
 +===== Requirements ===== 
 +==== Build Requirements ====
   * GTK+ 3.2 or above.   * GTK+ 3.2 or above.
   * Glib 2.32 or above.   * Glib 2.32 or above.
Line 18: Line 27:
   * DBus 0.60 or above.   * DBus 0.60 or above.
   * DBus Glib 0.70 or above.   * DBus Glib 0.70 or above.
-  * GStreamer: base, video, interface and GStreamer X, version 0.10.24 or above.+  * GStreamer: base, video, interface and GStreamer X 1.0 or above.
   * libxfce4ui 4.11.0 or above.   * libxfce4ui 4.11.0 or above.
   * libxfce4util 4.11.0 or above.   * libxfce4util 4.11.0 or above.
  
-===== Runtime Requirements =====+==== Runtime Requirements ====
 The GStreamer framework provides a powerful plugin interface to support a wide variety of media types. The plugins are split into "base", "good", "bad", and "ugly" categories for their varying levels of licensing and codec quality. While Parole is completely free, meaning anyone can use it, redistribute and/or modify it under the GNU general public license; some GStreamer plugins are not free and may not be legal to use in some regions. It is up to you or the distribution to accept the license of these plugins and make them available for use. The list of GStreamer plugins is below. The GStreamer framework provides a powerful plugin interface to support a wide variety of media types. The plugins are split into "base", "good", "bad", and "ugly" categories for their varying levels of licensing and codec quality. While Parole is completely free, meaning anyone can use it, redistribute and/or modify it under the GNU general public license; some GStreamer plugins are not free and may not be legal to use in some regions. It is up to you or the distribution to accept the license of these plugins and make them available for use. The list of GStreamer plugins is below.
   * //GStreamer Base plugins// comprises the base functionality of GStreamer and are required for normal operation.   * //GStreamer Base plugins// comprises the base functionality of GStreamer and are required for normal operation.
Line 30: Line 39:
   * For more information about GStreamer plugins, please see [[http://gstreamer.freedesktop.org/documentation/splitup.html|this page]].   * For more information about GStreamer plugins, please see [[http://gstreamer.freedesktop.org/documentation/splitup.html|this page]].
  
-====== Plugins ======+[[|Back to Top]] 
 +---- 
 + 
 +===== Plugins =====
 Parole currently features the following plugins: Parole currently features the following plugins:
   * //Notify//, which shows notifications (using libnotify) for track changes.   * //Notify//, which shows notifications (using libnotify) for track changes.